View a markdown version of this page

ListConsentPortals - Amazon Bedrock AgentCore Control Plane

ListConsentPortals

Lists all of the consent portals in your account.

Request Syntax

POST /identities/ListConsentPortals HTTP/1.1 Content-type: application/json { "maxResults": number, "nextToken": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

maxResults

The maximum number of consent portals to return in a single call.

Type: Integer

Valid Range: Minimum value of 1. Maximum value of 100.

Required: No

nextToken

A token to retrieve the next page of results. Use the value returned in a previous response to request the next page.

Type: String

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "consentPortals": [ { "consentPortalArn": "string", "consentPortalId": "string", "createdAt": number, "description": "string", "name": "string", "portalUrl": "string", "sources": [ { "identifier": "string", "type": "string" } ], "status": "string", "updatedAt": number } ], "nextToken": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

consentPortals

The list of consent portals.

Type: Array of ConsentPortalSummary objects

nextToken

The token to use in a subsequent request to retrieve the next page of results. This value is null when there are no more results to return.

Type: String

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

This exception is thrown when a request is denied per access permissions

HTTP Status Code: 403

InternalServerException

This exception is thrown if there was an unexpected error during processing of request

HTTP Status Code: 500

ThrottlingException

This exception is thrown when the number of requests exceeds the limit

HTTP Status Code: 429

UnauthorizedException

This exception is thrown when the JWT bearer token is invalid or not found for OAuth bearer token based access

HTTP Status Code: 401

ValidationException

The input fails to satisfy the constraints specified by the service.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: